VertexInfluence File Reference
`#include <osg/Object>`
`#include <osgAnimation/Export>`
`#include <map>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osgAnimation::VertexInfluence
class | osgAnimation::VertexInfluenceMap
class | osgAnimation::VertexInfluenceMap::VertexGroup
| map a set of boneinfluence to a list of vertex indices sharing this set More...

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_VERTEX_INFLUENCE 1

## Typedefs

typedef std::pair< std::string, float > | osgAnimation::BoneWeight
typedef std::pair< unsigned int, float > | osgAnimation::VertexIndexWeight
typedef std::vector< VertexIndexWeight > | osgAnimation::IndexWeightList
typedef std::vector< BoneWeight > | osgAnimation::BoneWeightList
typedef std::vector< unsigned int > | osgAnimation::IndexList

## Macro Definition Documentation

## OSGANIMATION_VERTEX_INFLUENCE

#define OSGANIMATION_VERTEX_INFLUENCE 1